@import "variables";
@import "mixins";

@media screen and (min-width: 320px) {

  .main__background__block__720 {
    display: none;
  }

  .main__background__block__1200 {
    display: none;
  }

  .main__background__block__320 {
    width: 100%;
    background-color: $white-bgc;
  }

  .top-brgr-line {
    display: none;
  }

  .middle-brgr-line {
    position: absolute;
    transform: rotate(-45deg);
  }

  .bottom-brgr-line {
    position: absolute;
    transform: rotate(-135deg);
  }

  .button__top__block {
    position: relative;
    width: 44px;
    height: 37px;
    background-color: $black-bgc;

    margin-top: 23px;
    margin-bottom: 23px;
    margin-left: 86.2%;
    @include center-absolute-vertical;

    .dropdown__menu {
      position: absolute;
      width: 182px;
      height: 208px;
      right: 0;
      top: 21px;
      display: flex;
      flex-direction: column;
      justify-content: space-around;
      list-style: none;

      background: #F5F5F5;



      a {
        text-decoration: none;
        padding-left: 20px;
        font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
        font-style: normal;
        font-weight: normal;
        font-size: 11px;
        line-height: 29px;

        display: flex;
        align-items: center;
        letter-spacing: 1.1px;
        text-transform: uppercase;

        color: #4E4E4E;

      }

      li {
        margin-left: -40px;
      }

      li:hover {
        background-color: #E5E5E5;
      }
    }


  }

  .cross-line {
    width: 17px;
    height: 2px;
    margin-top: 2px;
    background-color: $white-bgc;
  }

  .main__theme__img320 {
    width: 90%;
    margin-left: $default-320-margin;
  }

  .secondary__header__main {
    margin-left: $default-320-margin;
    margin-top: 38px;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 22px;


    display: flex;
    align-items: center;
    text-transform: uppercase;
    color: $black-text-color;
  }

  .post__block {
    margin-left: $default-320-margin;

    .post__image {
      margin-top: 28.5px;
    }

    .secondary__header__post {
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: bold;
      font-size: 14px;
      line-height: 30px;

      display: flex;
      align-items: center;

      color: $black-text-color;
    }

    .secondary__header__description {
      margin-top: -10px;
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: normal;
      font-size: 11px;
      line-height: 20px;

      display: flex;
      align-items: center;

      color: $gray-text-color;
    }

  }

  .secondary__header__footer {
    margin-top: 77.5px;
    margin-left: $default-320-margin;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 22px;
    /* identical to box height, or 157% */

    display: flex;
    align-items: center;
    text-transform: uppercase;

    color: $black-text-color;
  }

  .footer__img {
    margin-left: $default-320-margin;
    margin-bottom: 42px;
  }

  .footer__block {
    width: 100%;
    background-color: $black-bgc;
    @include center-absolute-vertical;

    .footer__description {
      margin-top: 25px;
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: bold;
      font-size: 14px;
      line-height: 22px;
      /* identical to box height, or 157% */

      display: flex;
      align-items: center;
      text-transform: uppercase;

      color: #FEFEFE;
    }

    .footer__contacts__description {
      margin-top: -10px;
      margin-bottom: 26px;
      @include center-text-footer(303px);
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: normal;
      font-size: 12px;
      line-height: 20px;
      /* or 167% */

      display: flex;
      align-items: center;
      text-align: center;

      color: #B9B9B9;
    }

    .footer__contacts {
      margin-top: 25px;
      margin-bottom: 47px;
      @include center-text-footer(235px);
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: normal;
      font-size: 14px;
      line-height: 24px;
      /* or 171% */

      display: flex;
      align-items: center;
      text-align: center;

      color: #B9B9B9;
    }
  }
}

@media screen and (min-width: 768px) {
  .main__background__block__320 {
    display: none;
  }

  .main__background__block__1200 {
    display: none;
  }

  .main__background__block__720 {
    display: block;
    width: 100%;
  }

  .main__nav--720 {
    margin-top: 41px;
    margin-bottom: 23px;
    width: 80%;

    ul {
      margin-left: 10%;
      list-style: none;
      display: flex;
      flex-direction: row;

      li:first-child {
      }

      li {
        margin-left: 34px;

        a {
          text-decoration: none;
          @include nav__text;
        }

        a:hover {
          color: #57A4A4;
        }
      }
    }
  }

  .main__theme__img720 {
    width: 80%;
    margin-left: $default-768-margin;
  }

  .post__img--720 {
    float: left;
  }

  .post__banner {
    margin-top: 56px;
    margin-bottom: 24px;
    margin-left: $default-768-margin;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 22px;
    display: flex;
    align-items: center;
    text-transform: uppercase;

    color: #4E4E4E;
  }

  .post__block__content {
    //width: 100%;
  }

  .post__text__block {
    position: relative;
    //left: 20px;
    padding-left: 20px;

    display: flex;
    flex-direction: column;
  }

  .post_header--720 {
    width: 295px;

    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 30px;

    display: flex;
    align-items: center;

    color: #4E4E4E;
  }

  .post_info--720 {
    width: 233px;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    line-height: 20px;
    /* identical to box height, or 167% */

    display: flex;
    align-items: center;

    color: #7C7C7C;
  }

  .post_txt--720 {
    width: 404px;
    margin-top: 13px;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 26px;
    /* or 186% */

    display: flex;
    align-items: center;

    color: #5C5C5C;
  }

  .post__block__content {
    margin-left: $default-768-margin;
  }

  .last__instagram__shots__block {
    width: 100%;
    height: 468px;
    background-color: #F7F7F7;
  }

  .explain__block {
    position: relative;
    top: 47px;
    display: flex;
    justify-content: space-around;
  }

  .latest__instagram__shoots {
    //width: 247px;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 22px;
    /* identical to box height, or 137% */

    display: flex;
    align-items: center;
    text-transform: uppercase;

    color: #4E4E4E;
  }

  .next__page__arrow {
    //width: 217px;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 13px;
    line-height: 22px;
    /* identical to box height, or 169% */

    display: flex;
    align-items: center;
    text-transform: uppercase;

    color: #4E4E4E;
  }

  .instagram__photos {
    margin-top: 104px;
    margin-left: $default-768-margin;
    //width: /*768px*/;
    width: 80%;
    height: 249px;

    display: flex;
    //flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
  }



  .footer--720 {
    width: 100%;
    height: 332px;
    margin-top: 50px;
    display: flex;
    flex-direction: column;
    align-items: center;
    //justify-content: center;

    background: #000000;

    h3 {
      width: 224px;
      margin-top: 57px;
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: bold;
      font-size: 16px;
      line-height: 22px;
      /* identical to box height, or 137% */

      display: flex;
      align-items: center;
      text-transform: uppercase;

      color: #FEFEFE;
    }

    .footer__description--720 {
      width: 684px;
      margin-top: 22px;
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: normal;
      font-size: 16px;
      line-height: 28px;
      /* or 175% */

      display: flex;
      align-items: center;
      text-align: center;

      color: #B9B9B9;
    }

    img {
      margin-top: 37px;
    }

    .footer__contacts--720 {
      width: 613px;
      margin-top: 34px;
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: normal;
      font-size: 16px;
      line-height: 26px;
      /* identical to box height, or 162% */

      display: flex;
      align-items: center;
      text-align: center;

      color: #B9B9B9;
    }
  }

}

@media screen and (min-width: 769px) and (max-width: 955px){
  .instagram__photos {
    margin-top: 104px;
    margin-left: 35%;
    //width: /*768px*/;
    width: 249px;
    height: 750px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  .last__instagram__shots__block {
    height: 1000px;
  }
}

@media screen and (min-width: 1200px) {
  .main__background__block__720 {
    display: none;
  }

  .main__background__block__320 {
    display: none;
  }

  .main__background__block__1200 {
    display: block;
    width: 100%;
    background-color: $white-bgc;
  }

  .main__nav--1200 {
    width: 1170px;
    height: 55px;
    margin-left: 8%;
    margin-top: 45px;
    margin-bottom: 51px;
    display: flex;
    justify-content: center;
    align-items: center;

    ul {
      display: flex;
      flex-direction: row;

      li {
        list-style: none;
        margin-left: 68px;
      }

      a {
        text-decoration: none;
        font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
        font-style: normal;
        font-weight: normal;
        font-size: 11px;
        line-height: 22px;
        /* identical to box height, or 200% */

        display: flex;
        align-items: center;
        letter-spacing: 1.1px;
        text-transform: uppercase;

        color: #4E4E4E;

      }

      a:hover {
        color: #57A4A4;
      }
    }
  }

  .main__theme__img1200 {
    margin-left: $default-1200-margin;

  }

  .post__banner--1200 {
    width: 190px;
    margin-top: 66px;
    margin-left: $default-1200-margin;

    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 22px;
    /* identical to box height, or 137% */

    display: flex;
    align-items: center;
    text-transform: uppercase;

    color: #4E4E4E;
  }

  .posts__block--1200 {
    width: 1200px;
    height: 310px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-left: $default-1200-margin;
    margin-top: 24px;
    margin-bottom: 69px;
  }

  .post_header--1200 {
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 16px;
    line-height: 30px;
    /* identical to box height, or 187% */

    display: flex;
    align-items: center;

    color: #4E4E4E;
  }

  .post_info--1200 {
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    line-height: 20px;
    /* identical to box height, or 167% */

    display: flex;
    align-items: center;

    color: #7C7C7C;

  }

  .post_txt--1200 {
    width: 404px;
    margin-top: 13px;
    font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 26px;
    /* or 186% */

    display: flex;
    align-items: center;

    color: #5C5C5C;

  }

  .instagram__photos__header--1200 {
    width: 1170px;
    margin-bottom: 25px;
    margin-left: $default-1200-margin;
    display: flex;
    justify-content: space-between;

    .instagram__photo__header--1200 {
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: bold;
      font-size: 16px;
      line-height: 22px;
      /* identical to box height, or 137% */

      display: flex;
      align-items: center;
      text-transform: uppercase;

      color: #4E4E4E;
    }

    .instagram__photo__button--1200 {
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: bold;
      font-size: 13px;
      line-height: 22px;
      /* identical to box height, or 169% */

      display: flex;
      align-items: center;
      text-transform: uppercase;

      color: #4E4E4E;
    }
  }

  .instagram__photos__img--1200 {
    width: 90%;
    height: 285px;
    margin-bottom: 50px;
    margin-left: $default-1200-margin;
    display: flex;
    justify-content: space-between;
  }

  .footer--1200 {
    width: 100%;
    background-color: black;
    display: flex;
    flex-direction: column;
    align-items: center;

    .footer__header--1200 {
      margin-top: 66px;
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: bold;
      font-size: 16px;
      line-height: 22px;
      /* identical to box height, or 137% */

      display: flex;
      align-items: center;
      text-transform: uppercase;

      color: #FEFEFE;
    }

    .footer__description--1200 {
      margin-top: 22px;
      margin-bottom: 37px;
      width: 684px;
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: normal;
      font-size: 16px;
      line-height: 28px;
      /* or 175% */

      display: flex;
      align-items: center;
      text-align: center;

      color: #B9B9B9;
    }

    .footer__adress--1200 {
      margin-top: 34px;
      margin-bottom: 70px;
      font-family: Arial, "Helvetica Neue", Helvetica, sans-serif;
      font-style: normal;
      font-weight: normal;
      font-size: 16px;
      line-height: 26px;
      /* identical to box height, or 162% */

      display: flex;
      align-items: center;
      text-align: center;

      color: #B9B9B9;
    }

  }

}

